@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;700&display=swap');

:root{
    --background: linear-gradient(135deg,#667eea7e 0%,#764ba298 100%);
    --color-primary:#667eea;
    --color-secondary:#764ba2;
    --boton-padding: 20px 40px;
}

body{
    font-family: 'Raleway', sans-serif;
}
.container{
    width: 90%;
    margin: 0 auto;
    overflow: hidden; 
    padding: 80px 0;
    max-width: 1200px;
}
.subtitle{
    color: var(--color-primary);
    font-size: 2.5rem;
    margin-bottom: 35px;
}

.hero{
    height: 100vh;
    background-image: var(--background),url('../assets/screen-post-1y4KEegTACo-unsplash.jpg');
    background-size: conver;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    position: relative;
}
.hero .container{
    padding: 0;
}
.nav{
    display: flex;
    justify-content: flex-end;
    height: 70px;
    align-items: center;
    font-weight: 700;
}
.nav--footer{
    font-weight: 300;
    justify-content: flex-start;
}

.nav__items{
    color: #fff;
    text-decoration: none;
    margin-right: 20px;
    padding: 10px 15px;
    font-weight: inherit;
}

.nav__items--cta{
    border: 1px solid #fff;
}

.nav__items--footer{
    padding: 10px;
}

.hero__container{
    display: flex;
    height: calc(100vh - 70px);
    align-items: center;
    color: #fff;

}
.hero__wave{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100px;
}
.hero__title{
    font-size: 3.2rem;
}
.hero__subtitle{
    font-size: 2rem;
    font-weight: 300;
    margin: 15px 0;

}

.hero__cta{
    display: inline-block;
    background: #fff;
    padding: var(--boton-padding);
    color: var(--color-primary);
    text-decoration: none;
    border-radius: 40px;

}

.hero_texts{
    width: 80%;
    margin-bottom: 50px;
}

/* About */

.presentation{
    padding-top: 0;
    text-align: center;
}
.presentation__picture{
    width: 150px;
    height: 150px;
    border-radius: 50%;
    margin-bottom: 10px;
    object-fit: cover;
    object-position: top;
}
.presentation__copy{
    width: 80%;
    margin: 0 auto;
}

.presentation__cta{
    display: inline-block;
    margin-top: 30px;
    background: var(--color-primary);
    color: #fff;
    text-decoration: none;
    padding: var(--boton-padding);
    border-radius: 40px;
}

.about{
    min-height: 400px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    row-gap: 80px;
    justify-items: center;
    align-items: center;
}

.about__img{
    text-align: center;
}

.about__img--left{
    text-align: left;
}

.about_picture{
    max-width: 80%;
}

.about__paragraph{
    margin-bottom: 20px;
    line-height: 1.5;
    font-weight: 300;
}

/*Projects*/

.projects{
    background: #f2f2f2;
}
.projects__grid{
    display: grid;
    height: 550px;
    grid-template-areas:
    "img1 img1 img2 img3"
    "img1 img1 img4 img5" ;
    gap: 10px;
}
.projects__item{
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}
.projects__img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
}

.projects__item:nth-of-type(1){
    grid-area: img1;
}
.projects__item:nth-of-type(2){
    grid-area: img2;
}
.projects__item:nth-of-type(3){
    grid-area: img3;
}
.projects__item:nth-of-type(4){
    grid-area: img4;
}
.projects__item:nth-of-type(5){
    grid-area: img5;
}
.projects__hover{
    position: absolute;
    background:#dc143c8c;
    top:0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #fff;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transform: translateX(100%);
    cursor: pointer;
    transition: transform .3s ease-in-out;
}

.projects__icon{
    margin-top: 10px;
    font-size: 30px;
}

.projects__item:hover .projects__hover{
    transform: translateX(0%);
}
/*Testimony*/

.testimony__grid{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap:30px;
}

.testimony__item{
    width: 95%;
    margin: 0 auto;
    background:var(--color-secondary);
    box-shadow: 0 8px 10px rgba(66,66,66,.5);
    border-radius: 7px;
    padding: 30px 25px;
    color: #fff;
    margin-bottom: 50px;
}

.testimony__person{
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.testimony__img{
    width: 100px;
    min-width: 100px;
    height: 100px;
    object-fit: cover;
    object-position: top;
    border-radius: 50%;
    border: 3px solid #fff;
    margin-right: 30px;
}
.testimony__name{
    font-size: 1.5rem;
    margin-bottom: 10px;
}

.testimony__verification{
    color: #E0AFA0;
    font-weight: 700;
}

.testimony__review{
    font-weight: 300;
}

/* Footer */

.footer{
    background: var(--color-primary); 
}

.footer__grid{
    display: grid;
    grid-template-columns: 3fr 2fr;
    gap: 20px;
    align-items: center;
}
.footer__title{
    font-weight: 400;
    color: #fff;
    font-size: 2rem;
    margin-bottom: 30px;
    text-align: center;
}
.footer__icons{
    display: flex;
    justify-content: space-evenly;
}

.footer__container-icons{
    display: inline-block;
    width: 60px;
    height: 60px;
    color: #fff;
    text-align: center;
    border: 1px solid #fff;
    border-radius: 50%;
}
.footer__icon{
    color:inherit;
    font-size: 30px;
    text-decoration: none;
    line-height:  60px;
}

.fab.footer__icon{
    line-height: 60px;
}

/* Responsive design */

@media screen and (max-width: 800px){
    :root{
        --boton-padding: 18px 40px;
    }
    .nav{
        justify-content: space-around;
    }
    .nav__items--cta{
        border: none;
    }
    .nav__items{
        font-weight: 400;
        border-bottom: 1px solid #fff;
        margin-right: 0;
    }
    .nav__items--footer{
        border: none;
    }
    .hero__text{
        width: 100%;
        margin-bottom: 80px;
    }
    .hero__title{
        font-size: 2.5rem;
    }
    .hero__subtitle{
        font-size: 1.5rem;
    }

    /* About */

    .presentation__copy{
        width: 100%;
    }
    .about{
        grid-template-columns: 1fr;
    }
    .about.container{
        padding-top: 30px;
    }

    .about__img--left{
        text-align: center;
    }
    .about__text:last-child{
        grid-row: 3/4;
    }

    /* My project*/

    .projects__grid{
        grid-template-areas: 
        "img1 img1 img2 img2"
        "img1 img1 img3 img3"
        "img4 img4 img5 img5";
    }
    /*Testimonyt*/
    .testimony__grid{
        grid-template-columns: 1fr;
        gap: 30px;
    }
    
    /*Footer*/

    .footer__grid{
        grid-template-columns: 1fr;
    }

    .footer__contact{
        grid-row: 2/1;
    }

}

@media  screen and (max-width: 500px) {
    :root{
        --boton-padding: 18px 35px;
    }
    .subtitle{
        font-size: 2rem;
        margin-bottom: 20px;
    }
    .nav{
        flex-wrap: wrap;
        justify-content: space-evenly;
        margin-top: 10px;
    }
    .nav__items{
        padding: 0 10px;
        border: 0;
    }
    .hero__texts{
        text-align: center;
        margin-bottom: 100px;
    }
    .hero__title{
        font-size: 2rem;
    }

    /* About */

    .presentation__picture{
        width: 120px;
        height: 120px;
    }
    .about{
        row-gap: 60px;
    }
    .about.container{
        padding-top: 10px;
    }

    /* My projects*/

    .projects__grid{
        grid-template-areas:
        "img1"
        "img2"
        "img3"
        "img4"
        "img5";
        height: auto;
        grid-template-rows: repeat(5,250px);
        grid-auto-rows: 250px;
        gap: 10px;
    }
    /*Testimony*/

    .testimony__item{
        padding: 30px 15px;
    }

    .testimony__person{
        flex-direction: column;
    }

    .testimony__texts{
        text-align: center;
    }

    .testimony__img{
        margin: 0;
        margin-bottom: 20px;
    }

}